using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using LZBS.Model;
using LZBS.BLL;

namespace LZBS.Web
{
    public partial class MyGuestBook : System.Web.UI.Page
    {
        M_GuestBook model = new M_GuestBook();
        B_GuestBook bll = new B_GuestBook();
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.Cookies["MemberID"] == null)
            {
                Response.Redirect("Login.aspx", true);
            }
            model.MemberID = Request.Cookies["MemberID"].Value.ToString();

            rptMyGuestBook.DataSource = bll.GetGuestBookByMemberID(model);
            rptMyGuestBook.DataBind();
        }
    }
}
